Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 19 reacties
Bron: WordPress, submitter: Hmmbob

WordPress logo (75 pix)De final release van WordPress versie 3.9 is uitgekomen. Met dit programma, dat onder een gpl-licentie beschikbaar wordt gesteld, is het mogelijk om een weblog op te zetten en bij te houden. WordPress is eenvoudig in te stellen en kan binnen vijf minuten draaien als er al een server met php en MySQL beschikbaar is. Er zijn mogelijkheden om de functionaliteit van WordPress, naast bloggen, verder uit te breiden en het uiterlijk met plug-ins en themes aan te passen. Versie 3.9 bevat onder meer een nieuwere versie van TinyMCE, de component die voor het invoeren van tekst gebruikt wordt. De release notes voor deze uitgave kunnen hieronder worden gevonden.

WordPress 3.9 “Smith”

Version 3.9 of WordPress, named “Smith” in honor of jazz organist Jimmy Smith, is available for download or update in your WordPress dashboard. This release features a number of refinements that we hope you’ll love.

Improved visual editing

The updated visual editor has improved speed, accessibility, and mobile support. You can paste into the visual editor from your word processor without wasting time to clean up messy styling. (Yeah, we’re talking about you, Microsoft Word.)

Edit images easily

With quicker access to crop and rotation tools, it’s now much easier to edit your images while editing posts. You can also scale images directly in the editor to find just the right fit.

Drag and drop your images

Uploading your images is easier than ever. Just grab them from your desktop and drop them in the editor.

Galleries display a beautiful grid of images right in the editor, just like they do in your published post.

Images have galleries; now we’ve added simple audio and video playlists, so you can showcase your music and clips.

Add, edit, and rearrange your site’s widgets right in the theme customizer. No “save and surprise” — preview your changes live and only save them when you’re ready.

The improved header image tool also lets you upload, crop, and manage headers while customizing your theme.

Looking for a new theme should be easy and fun. Lose yourself in the boundless supply of free WordPress.org themes with the beautiful new theme browser.

Versienummer:3.9
Releasestatus:Final
Besturingssystemen:Scripttaal
Website:WordPress
Download:http://wordpress.org/wordpress-3.9.zip
Bestandsgrootte:6,04MB
Licentietype:GPL
Moderatie-faq Wijzig weergave

Reacties (19)

Handig om te weten:

Om een upgrade uit te voeren van (bijvoorbeeld) Wordpress versie 3.8.3 moet je PHP 5.4 aan hebben staan. Anders werkt de upgrade niet.

Vanmorgen zelf al drie websites geüpgrade van eerdere Wordpress versies naar deze versie. Geen problemen kunnen ontdekken. Diverse plugins die nog als niet compatible worden aangegeven functioneren gewoon zonder problemen.
Hu? Waarom is PHP 5.4 daarvoor vereist als de vereisten voor het gebruiken van WordPress 3.9 PHP 5.2.4 is? Zeker dat dat geen typo is? Want anders zou ook maar 13% van de WordPress installaties kunnen updaten: https://wordpress.org/about/stats/.

Nu ik toch naar die statistieken pagina link, het is eigenlijk opvallend hoeveel mensen blijven hangen op WordPress 3.0 en 3.5 (en überhaupt op oude versies in het algemeen). Nog niet eens een kwart zit op de recentste versie, en 3.0 en 3.5 hebben samen een aandeel van 45%. Jammer eigenlijk, want zo zijn er wel enorm veel kwetsbare websites. En 3.0 is nu toch ook al weer 4 jaar oud.

[Reactie gewijzigd door Loller1 op 17 april 2014 10:28]

Op een server waarop PHP 5.3 geactiveerd was, moest ik eerst PHP 5.4 activeren voor de daadwerkelijke upgrade uitgevoerd werd. Zonder PHP 5.4 geactiveerd te hebben, kreeg ik het niet voor elkaar.
Op een server waarop PHP 5.3 geactiveerd was, moest ik eerst PHP 5.4 activeren voor de daadwerkelijke upgrade uitgevoerd werd. Zonder PHP 5.4 geactiveerd te hebben, kreeg ik het niet voor elkaar.
Wellicht gooit de hardening op de server(s) wat roet in het eten? Ik kan mij ook niet voorstellen dat WordPress een update uitbrengt die maar toepasbaar is op 13% van de webservers die WordPress draait.

Het wil namelijk wel eens gebeuren dat bepaalde extensions voor PHP met een nieuwe PHP-versie niet meer werken. Suhosin is daar bijvoorbeeld een van.
Nu ik toch naar die statistieken pagina link, het is eigenlijk opvallend hoeveel mensen blijven hangen op WordPress 3.0 en 3.5
Komt denk omdat er relatief heel veel WordPress sites ooit zijn opgestart waar de eigenaren inmiddels niets meer mee doen. Ik heb er hier en daar ook nog stuk of 5 draaien die nog wel actief zijn maar waar ik al aantal jaar niets meer mee doe.
Volgens wordpress heb je ongelijk:
http://wordpress.org/about/requirements/

To run WordPress your host just needs a couple of things:

PHP version 5.2.4 or greater
MySQL version 5.0 or greater
Dat is vreemd, want ik heb toch echt net geüpgraded naar 3.9 op PHP 5.3. Dus of mijn hosting is heel stiekem zonder het te vermelden naar een andere versie gegaan of er spelen meer factoren.
Hoe kan je nou een versie van PHP aanzetten? Je bedoelt dat je minimaal PHP 5.4 moet draaien.
Bij sommige providers kun je in een control-panel aangeven welke van de door hun ondersteunde PHP versies jou website gebruikt.
Zijn er meerdere gebruikers waarbij de site na de upgrade naar 3.9 direct daarna automatisch is ge-update naar 4.0 alpha?

Bij mij dus gebeurt. En nu?
Hoe ga ik terug naar 3.9? Iemand die me daar wat zinnigs over kan melden.

In ieder geval gaan de automatische updates op mijn site nu wel uit. Dan doe ik het liever wel weer handmatig.
Als het goed is heb je een backup gemaakt voordat je 'm liet updaten. ;) Wijze les voor de volgende keer. :)

Wat ik van eerdere versies kan vinden, is het mogelijk om alles behalve wp-content van 3.9 over 4.0 te uploaden en bij het openen van een pagina een db update te doen. Maakt mogelijk niet de meest opgeruimde server, maar wel je site weer draaiende.

Automatische updates doen alleen beveiligingsupdates als het goed is. Denk aan 3.8 naar 3.8.1 en dan 3.8.2. 3.8.3 naar 3.9 moet je handmatig doen, zo (lijkt mij) ook met 3.9 naar 4.0. Niet perongeluk dubbel geklikt?


Ah, ik zie een bericht van Wordpress zelf hierover:
TRANSLATION ISSUES

If your WordPress version is showing "4.0-alpha" rather than "3.9" for a non US English install this is due to an incorrect localization build for your language.

Other than the incorrect version number there are no other code differences between the versions and include the correct 3.9 translations.

This can cause plugins to display compatibility notices "Warning: This plugin has not been tested with your current version of WordPress"

* nl_NL has been updated now, though previously it was serving up the wrong revision of WordPress (4.0-alpha), even though the data was correct (3.9)
* is_IS has not been updated at this stage and is currently serving up the wrong revision of WordPress (4.0-alpha), even though the data is correct (3.9).

Details to resolve the issue can be found here once the localization package has been updated.
https://wordpress.org/support/topic/wordpress-39-master-list
Beetje laat (vakantie gehad) maar nog bedankt voor je reactie.
Inderdaad niet zelf fout geklikt. Backup had ik moeten maken, dus dat gebeurt de volgende keer ook.

Gelukkig had ik via een ander persoon een tip gekregen om iets aan te passen waardoor de vorige versie weer hersteld kon worden. Dus site draait gelukkig weer.
iemand tips voor fatsoenlijk systeem (spam proof) voor single-sign-on ?
wordt ziek van die spam berichten op wordpress
Het help om de Comment Blacklist onder Discussion Settings te vullen met veelvoorkomende spam-termen. https://github.com/splorp/wordpress-comment-blacklist

[Reactie gewijzigd door oeverloos op 17 april 2014 10:48]

Ik vraag mij af of de volgorde van de vorige- en volgende linkjes nu ook gefixt is. Tot voorheen had je een mooie gallery, waarin je op een afbeelding kon klikken voor een grote versie, waarna de vorige- en volgende linkjes naar de vorige- en volgende foto's leiden in volgorde van uploaden, in plaats van de volgorde van de gallery. Zeer irritant!
Net 4 websites probleemloos geüpgraded naar WordPress 3.9. Heb al een tijdje testversies draaien en ik moet zegen dat de nieuwe editor echt mooi werk is!
Wat gaat er eigenlijk met de volgende update gebeuren? Wordt dat 4.0 of 3.10?
De volgende update is WordPress 4. Sinds 2.5 gaan ze gewoon altijd met .1 omhoog tot ze aan .9 zitten, dan begint de volgende major. Hoewel er altijd wordt gezegd dat .0 en .5 versies nooit grotere releases zijn dan .1, .2, .3, .4, .6, .7, .8 en .9, hebben deze wel, opvallend genoeg, vaak beduidend meer tickets en features. Waar de gemiddelde milestone rond de 700 tickets hangt (met soms wel eens uitschieters naar 400 tot 800), zit 3.5 aan 955 tickets, en 3.0 zelfs aan 1220.

WordPress 4 staat gepland voor 13 augustus, 4.1 moet klaar zijn op 10 december. 4.2 is nog niet gepland. Welke features are in WP4 zitten, kan ik je echter niet vertellen, daarvoor zal je de WordPress Core blog en WordPress Trac bij moeten houden.

[Reactie gewijzigd door Loller1 op 18 april 2014 10:17]

3.9 sloopt een klein deel van Visual Composer, een handige drag en drop editor om pagina's op te maken en in te delen.

3.9 zorgt er voor dat tekstblokken niet meer te bewerken zijn, ze laden simpelweg niet meer. Andere blokken doen het nog prima. Visual Composer is aan het kijken hoe of wat.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True